For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
          • GETRetrieves the raw data for a database
          • POSTDownloads Data (either general, export or raw with no transformer)
          • GETRetrieves the transformed data for a database/export
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTContentData

Retrieves the raw data for a database

GET
https://meta.feedonomics.com/api.php/dbs/:db_id/data
GET
/api.php/dbs/:db_id/data
$curl https://meta.feedonomics.com/api.php/dbs/1/data \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>"
200Data_retrievesTheRawDataForADatabase_example
1[
2 {
3 "status": "success",
4 "total_run_time": "0.054791927337646",
5 "total_data_iterate_run_time": "4.6014785766602E-5",
6 "select_data_run_time": "0.035505056381226",
7 "total_count": "462",
8 "data": [
9 {
10 "id": "101",
11 "field_0": "Red",
12 "field_1": "Array",
13 "field_2": "Light",
14 "field_3": "Left",
15 "field_4": "Vanilla"
16 },
17 {
18 "id": "101",
19 "field_0": "Blue",
20 "field_1": "Object",
21 "field_2": "Dark",
22 "field_3": "Right",
23 "field_4": "Chocolate"
24 }
25 ],
26 "total_chunks": "1"
27 }
28]
Was this page helpful?
Previous

Content API

Next

Downloads Data (either general, export or raw with no transformer)

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database to get transformed data from

Headers

x-api-keystringRequired

Query parameters

directionstringOptional

Order direction, can be > or <

limitdoubleOptional
How many results should be returned
offsetdoubleOptional
Offset used for paging
selectorstringOptional
The query selector to filter data by

Response

successful operation
statusstring
total_run_timestring
total_data_iterate_run_timestring
select_data_run_timestring
total_countstring
datalist of objects
total_chunksstring